# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "batch-mode-batch-workspace"
version = "0.2.4"
authors = ["klebs tpk3.mx@gmail.com"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Manages batch processing workspaces, handling tasks like locating batch files, validating files, and managing batch indices."
readme = "README.md"
license = "MIT"
repository = "https://github.com/klebs6/klebs-general"

[lib]
name = "batch_mode_batch_workspace"
path = "src/lib.rs"

[dependencies.batch-mode-3p]
version = "0.2.2"

[dependencies.batch-mode-batch-index]
version = "0.2.2"

[dependencies.batch-mode-batch-scribe]
version = "0.1.8"

[dependencies.batch-mode-batch-triple]
version = "0.2.4"

[dependencies.batch-mode-batch-workspace-interface]
version = "0.2.4"

[dependencies.batch-mode-json]
version = "0.2.2"

[dependencies.camel-case-token-with-comment]
version = "0.2.2"

[dependencies.derive_builder]
version = "0.20.2"

[dependencies.save-load-traits]
version = "0.2.2"

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.traced-test]
version = "1.0.4"

[dependencies.tracing]
version = "0.1.41"
features = ["log"]

[dependencies.tracing-setup]
version = "1.0.4"

[dependencies.tracing-subscriber]
version = "0.3.19"
features = [
    "fmt",
    "std",
    "env-filter",
]
default-features = false
